package net.minecraft.world;

import net.minecraft.world.inventory.AbstractContainerMenu;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.inventory.MenuConstructor;
import net.minecraft.network.chat.Component;

public final class SimpleMenuProvider implements MenuProvider {
    private final Component title;
    private final MenuConstructor menuConstructor;
    
    public SimpleMenuProvider(final MenuConstructor bbn, final Component lf) {
        this.menuConstructor = bbn;
        this.title = lf;
    }
    
    @Override
    public Component getDisplayName() {
        return this.title;
    }
    
    @Override
    public AbstractContainerMenu createMenu(final int integer, final Inventory ayi, final Player ayj) {
        return this.menuConstructor.createMenu(integer, ayi, ayj);
    }
}
